# TdApi.MaskPosition (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MaskPosition

Package it.tdlight.jni

# Class TdApi.MaskPosition

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MaskPosition

Enclosing class:
  TdApi

    public static class TdApi.MaskPosition
    extends TdApi.Object

Position on a photo where a mask is placed.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.MaskPoint` | `point` | Part of the face, relative to which the mask is placed.
`double` | `scale` | Mask scaling coefficient.
`double` | `xShift` | Shift by X-axis measured in widths of the mask scaled to the face size, from left to right.
`double` | `yShift` | Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MaskPosition()` | Position on a photo where a mask is placed.
`MaskPosition​(TdApi.MaskPoint point, double xShift, double yShift, double scale)` | Position on a photo where a mask is placed.
`MaskPosition​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### point

public TdApi.MaskPoint point
Part of the face, relative to which the mask is placed.

### xShift

public double xShift
Shift by X-axis measured in widths of the mask scaled to the face size, from left to right. (For example, -1.0 will place the mask just to the left of the default mask position.)

### yShift

public double yShift
Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom. (For example, 1.0 will place the mask just below the default mask position.)

### scale

public double scale
Mask scaling coefficient. (For example, 2.0 means a doubled size.)

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MaskPosition

public MaskPosition()
Position on a photo where a mask is placed.

### MaskPosition

public MaskPosition​(TdApi.MaskPoint point, double xShift, double yShift, double scale)
Position on a photo where a mask is placed.

Parameters:
  `point` - MaskPoint Part of the face, relative to which the mask is placed.
  `xShift` - double Shift by X-axis measured in widths of the mask scaled to the face size, from left to right. (For example, -1.0 will place the mask just to the left of the default mask position.)
  `yShift` - double Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom. (For example, 1.0 will place the mask just below the default mask position.)
  `scale` - double Mask scaling coefficient. (For example, 2.0 means a doubled size.)

### MaskPosition

public MaskPosition​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`